hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ruslan Ermilov (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HADOOP-4201) [patch] native library build script uses unportable sed(1) regexp's
Date Fri, 19 Sep 2008 07:38:44 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-4201?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ruslan Ermilov updated HADOOP-4201:
-----------------------------------

    Attachment: HADOOP-4201.patch

Regenerated patch against trunk.

> [patch] native library build script uses unportable sed(1) regexp's
> -------------------------------------------------------------------
>
>                 Key: HADOOP-4201
>                 URL: https://issues.apache.org/jira/browse/HADOOP-4201
>             Project: Hadoop Core
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 0.18.0
>         Environment: FreeBSD 7.0-STABLE amd64
>            Reporter: Ruslan Ermilov
>         Attachments: hadoop-0.18.0.patch, HADOOP-4201.patch
>
>
> The native library build script uses unportable sed(1) regular expressions, making it
impossible to compile a library using non-GNU sed(1).
> In particular, any POSIX-conformant sed(1) implementation will fail. The following patch
has been tested to work on both Linux (Ubuntu) and FreeBSD.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message